#esercizio6

import matplotlib.pyplot as plt
import numpy as np

dati=np.genfromtxt('HUBBLE.dat')

x=dati[:, 0]
y=dati[:, 1]

n=len(x)
sumx2=np.sum(x**2)
sumx=np.sum(x)
sumy=np.sum(y)
sumxy=np.sum(x*y)
delta=n*sumx2-sumx*sumx
A=((sumx2*sumy)-(sumx*sumxy))/delta
B=((n*sumxy)-(sumx*sumy))/delta
print 'A ', A
print 'B:', B
z=A+B*x

plt.plot (x, y, 'or')
plt.plot(x, z, 'b')
plt.xlabel('Distance [Mpc]')
plt.ylabel('Radial velocity [km/s]')
plt.title('HUBBLE LAW')
plt.show()
