#es7

import matplotlib.pyplot as plt
import numpy as np

dati=np.genfromtxt('HUBBLE.dat')

x=dati[:, 0] 
y=dati[:, 1] 

plt.hist(y, 15)
ymin, ymax=plt.ylim()

media=np.mean(y)
print 'average radial velocity for the entire sample ', media, 'km/s'
plt.plot([media, media], [ymin, ymax], 'r')

y2=y[np.where(x<1.00)]
media2= np.mean(y2)
print 'average radial velocity for galaxies with D<1 Myp ', media2, 'km/s'

plt.xlabel('Distance [Mpc]')
plt.ylabel('Number of galaxies')


plt.show()
